Package org.eclipse.viatra.query.runtime.rete.boundary

## Class InputConnector

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.boundary.InputConnector

-     public final class InputConnector
      extends java.lang.Object

  A class responsible for connecting input nodes to the runtime context.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputConnector​(Network network)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `connectInput​(InputRecipe recipe, Node freshNode)` | Connects a given input enumerator node to the external input source.
    `void` | `connectInputFilter​(InputFilterRecipe recipe, Node freshNode)` | Connects a given input filter node to the external input source.
    `java.util.stream.Stream<Address<ExternalInputEnumeratorNode>>` | `getAllExternalInputNodes()` |
    `java.util.Collection<Address<ExternalInputEnumeratorNode>>` | `getAllExternalInputNodesForKey​(IInputKey inputKey)` |
    `Address<ExternalInputEnumeratorNode>` | `getExternalInputNode​(IInputKey inputKey, Tuple seed)` |
    `Address<ExternalInputEnumeratorNode>` | `getExternalInputNodeForKeyUnseeded​(IInputKey inputKey)` |
    `Network` | `getNetwork()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputConnector

          public InputConnector​(Network network)

  - ### Method Detail

    - #### getNetwork

          public Network getNetwork()

    - #### connectInputFilter

          public void connectInputFilter​(InputFilterRecipe recipe,
                                         Node freshNode)

      Connects a given input filter node to the external input source.

    - #### connectInput

          public void connectInput​(InputRecipe recipe,
                                   Node freshNode)

      Connects a given input enumerator node to the external input source.

    - #### getAllExternalInputNodes

          public java.util.stream.Stream<Address<ExternalInputEnumeratorNode>> getAllExternalInputNodes()

    - #### getAllExternalInputNodesForKey

          public java.util.Collection<Address<ExternalInputEnumeratorNode>> getAllExternalInputNodesForKey​(IInputKey inputKey)

    - #### getExternalInputNodeForKeyUnseeded

          public Address<ExternalInputEnumeratorNode> getExternalInputNodeForKeyUnseeded​(IInputKey inputKey)

    - #### getExternalInputNode

          public Address<ExternalInputEnumeratorNode> getExternalInputNode​(IInputKey inputKey,
                                                                           Tuple seed)